#
# ovirt-engine-setup -- ovirt engine setup
# Copyright (C) 2013 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


"""Constants."""


import os
import gettext
_ = lambda m: gettext.dgettext(message=m, domain='ovirt-engine-setup')


from otopi import util


from . import config


from constants import osetupattrsclass, osetupattrs


class FileLocations(object):
    OVIRT_ENGINE_SYSCONFDIR = config.ENGINE_SYSCONFDIR
    REDHAT_SUPPORT_PLUGIN_CONFIG = os.path.join(
        OVIRT_ENGINE_SYSCONFDIR,
        'redhatsupportplugin.conf'
    )


@util.export
@util.codegen
@osetupattrsclass
class RedHatSupportPluginEnv(object):

    @osetupattrs(
        answerfile=True,
        postinstallfile=True,
    )
    def CONFIGURE(self):
        return 'OVESETUP_SYSTEM/configureRedhatSupportPlugin'

    @osetupattrs(
        answerfile=True,
    )
    def PROXY_ENABLED(self):
        return 'OVESETUP_SYSTEM/redhatSupportProxyEnabled'

    @osetupattrs(
        answerfile=True,
    )
    def PROXY(self):
        return 'OVESETUP_SYSTEM/redhatSupportProxy'

    @osetupattrs(
        answerfile=True,
    )
    def PROXY_PORT(self):
        return 'OVESETUP_SYSTEM/redhatSupportProxyPort'

    @osetupattrs(
        answerfile=True,
    )
    def PROXY_USER(self):
        return 'OVESETUP_SYSTEM/redhatSupportProxyUser'

    @osetupattrs(
        answerfile=True,
    )
    def PROXY_PASSWORD(self):
        return 'OVESETUP_SYSTEM/redhatSupportProxyPassword'
