#
# ovirt-engine-setup -- ovirt engine setup
# Copyright (C) 2013 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


"""Constants for RHEL-related flows."""


import os
import gettext
_ = lambda m: gettext.dgettext(message=m, domain='ovirt-engine-setup')


from otopi import util


from constants import osetupattrsclass
from constants import osetupattrs


from . import constants as osetupcons


@util.export
@util.codegen
@osetupattrsclass
class Const(object):
    UPGRADE_KB_URL = 'https://access.redhat.com/site/articles/408623'


@util.export
class FileLocations(object):
    DWH_INSTALLATION_FOLDER = os.path.join(
        osetupcons.FileLocations.DATADIR,
        'ovirt-engine-dwh'
    )
    REPORTS_INSTALLATION_FOLDER = os.path.join(
        osetupcons.FileLocations.DATADIR,
        'ovirt-engine-reports'
    )


@util.export
@util.codegen
@osetupattrsclass
class DialogEnv(object):
    @osetupattrs(
        answerfile=True,
    )
    def CONFIRM_UPGRADE(self):
        return 'OVESETUP_DIALOG/confirmUpgrade'


# vim: expandtab tabstop=4 shiftwidth=4
